[Mongrel] Installing Ruby

Bryan Soto bryan.a.soto at gmail.com
Wed Mar 29 12:15:59 EST 2006


On 3/29/06, Mike M <spmikedev at yahoo.com> wrote:
> I just attempted to install Mongrel on Windows. I'm not going to run it as a service, so I thought
> I'd select the ruby flavor (option 1). See error message below.
>
> Q: Is the ruby flavor not supported on Windows? If so, it would be useful to update the website
> with this info.

With gems, the convention is that the ruby version is pure source code
which in some cases means you need a C compiler to install. For
Windows, where a compiler isn't available by default, a separate
pre-compiled package is usually made available. Hence the split.

Hope that helps,

Bryan

--
"Never tell people how to do things. Tell them what to do and they
will surprise you with their ingenuity." —General George S. Patton



More information about the Mongrel-users mailing list